Name:		neverputt
Version:	0.18.2
Release:	alt1
Source0:	http://www.icculus.org/neverball/neverputt-0.18.2.tar.bz2/%name-%version.tar.bz2
Group:		Games/Other
License:	GPL
URL:		http://www.icculus.org/neverball/
Summary:	This is a OpenGL golf-based game
# Automatically added by buildreq on Tue Oct 28 2003
BuildRequires: XFree86-devel XFree86-libs aalib esound freetype2-devel libGLU-devel libSDL-devel libSDL_image-devel libSDL_mixer-devel libSDL_ttf-devel libalsa libarts libaudiofile libjpeg libogg libslang libsmpeg libtiff libvorbis
Requires: libSDL libSDL_image libSDL_ttf libSDL_mixer libGLwrapper XFree86-server

%description
This is a OpenGL golf-based game

%description -l ru_RU.KOI8-R
 OpenGL-   .

%prep
%setup -q

#%build
%make

%install
mkdir -p %buildroot/usr/share/%name/data/bgm
mkdir -p %buildroot/usr/share/%name/data/map
mkdir -p %buildroot/usr/share/%name/data/mtrl
mkdir -p %buildroot/usr/share/%name/data/png
mkdir -p %buildroot/usr/share/%name/data/snd
mkdir -p %buildroot/usr/share/%name/data/sol
mkdir -p %buildroot/usr/share/%name/data/ttf
mkdir -p %buildroot/usr/bin
mkdir -p %buildroot/%_menudir
mkdir -p %buildroot/%_iconsdir
strip neverputt
%__install -p -m755 neverputt %buildroot/usr/bin
%__install -p -m644 CHANGES %buildroot/usr/share/%name
%__install -p -m644 COPYING %buildroot/usr/share/%name
%__install -p -m644 MAPPING %buildroot/usr/share/%name
%__install -p -m644 README  %buildroot/usr/share/%name
%__install -p -m644 data/bgm/* %buildroot/usr/share/%name/data/bgm
%__install -p -m644 data/map/* %buildroot/usr/share/%name/data/map
%__install -p -m644 data/mtrl/* %buildroot/usr/share/%name/data/mtrl
%__install -p -m644 data/png/* %buildroot/usr/share/%name/data/png
%__install -p -m644 data/snd/* %buildroot/usr/share/%name/data/snd
%__install -p -m644 data/sol/* %buildroot/usr/share/%name/data/sol
%__install -p -m644 data/ttf/* %buildroot/usr/share/%name/data/ttf
%__install -p -m644 data/holes.txt %buildroot/usr/share/%name/data/holes.txt
%__install -p -m644 neverputt.png %buildroot%_iconsdir

#menu
cat > $RPM_BUILD_ROOT%_menudir/neverputt <<EOF
?package(neverputt): command="neverputt" icon="%name.png" section="Amusement/Arcade" \
title="Neverputt" longtitle="OpenGL-based golf-style game" \
needs="x11"
EOF


%clean

%files                                                                                           
%attr(644,root,root)
%doc README COPYING CHANGES MAPPING
%{_bindir}/neverputt
%{prefix}/share/%name/data/holes.txt
%{prefix}/share/%name/data/bgm/*
%{prefix}/share/%name/data/map/*
%{prefix}/share/%name/data/mtrl/*
%{prefix}/share/%name/data/png/*
%{prefix}/share/%name/data/snd/*
%{prefix}/share/%name/data/sol/*
%{prefix}/share/%name/data/ttf/*
%_menudir/neverputt
%_iconsdir/neverputt.png

%post

%changelog
* Tue Oct 28 2003 Gerasimov Dmitry <dmitryg@altlinux.ru> 0.18.2-alt1
- first build for ALTLinux Team
